package nl.nikhef.sfp;


public class VirtualSFPProvider extends SFPProviderBase {

	private boolean _firstRun = true;
	
	private VirtualSFPDevice _device = new VirtualSFPDevice("Virtual", 4);
	
	public void scanForNewDevices()
	{
		if (!_firstRun) return;
		
		addDevice(_device);
		
		_firstRun = false;
	}
	
	@Override
	public void updateDevices() {
		super.updateDevices();
	}
	

	@Override
	public String getName() {
		return "VirtualSFPProvider";
	}


}
